Jump to content

[2013.12.02] Warspear Online теперь и для Linux!


Recommended Posts

я так понял что на всех дистрибьюторах (как то так)вылетает клиент при взятии кв ..., но первые же дни вроде нормально всё было...

 

Уточните, пожалуйста, проблема только с конкретным заданием или со всеми квестами?
Link to post
Share on other sites

Баги:

Всегда, когда перезагружаешь ПК - данные слетают, приходиться вводить наново...

Если зажать какую-то кнопку на клавиатуре, то клиент зависает.

Вообще клавиатура тормозит, хотя в остальных приложениях все нормально! Как при вводе текста, так и при нажатии скиллов кнопками.

Пока не поставил драйвера видеокарты - текст был нормальным! Поставил - стал наползать друг на друга, стираться, и так везде (

 

Уточните, пожалуйста, каким дистрибутивом вы пользуетесь.
Link to post
Share on other sites

Linux Mint 16

 

1.После перезагрузки компа - логин, пароль вводить заново приходится(пока не перезагрузишь- помнит нормально, хоть сто раз входи выходи)

2. Рандомно слетает при взятии кв. любого и в малой равве, и большой, и в камп рифе. походу не важно какой кв и где берется.

3. Можно в настройки добавить чекбокс "всегда разворачивать на весь экран"? ну или пусть автоматом запоминает, какое по размеру окно было при выключении, такое пусть и открывает при запуске.

Link to post
Share on other sites

Возник вапрос по разрешению, уж очень низкое.

 

22:59:46 Free memory before Render2D init : 2103558144

22:59:46 Init Render2D : width=426 height=320 bpp=16

22:59:46 Render2D system memory pool size used : 300008

22:59:46 Free memory after Render2D init : 2103558144

22:59:46 Render size multiplication=2

22:59:47 Flurry Agent Version: No Flurry agent installed

22:59:47 InitSoundSystem: freq=22050, bps=16, mod_channels=2, wav_channels=8, free_memory=2103558144

 

Система Mint 15 видео от интела, есть ли варианты как задать большее разрешение экрана.

Link to post
Share on other sites

У меня на Windows7 теперь не работает. И сам клиент не запускается, и переустановить с офф сайта не удаётся - пишет ошибку. Заходил сегодня утром - всё нормально работало, никогда ранее подобных проблем не было.

Link to post
Share on other sites

У меня на Windows7 теперь не работает. И сам клиент не запускается, и переустановить с офф сайта не удаётся - пишет ошибку. Заходил сегодня утром - всё нормально работало, никогда ранее подобных проблем не было.

 

какие ошыбки?опышите по подробней, если можна то и скринами.
Link to post
Share on other sites

Вот скрин.

Игра не устанавливается (запускаю через администратора).

После нескольких неудачных попыток удалил нерабочую установленную версию игры - но не помогло.

http://hostingkartinok.com/show-image.php?id=1c0e29ec10bbca8820fb946a4c45586c

Link to post
Share on other sites

Вот скрин.

Игра не устанавливается (запускаю через администратора).

После нескольких неудачных попыток удалил нерабочую установленную версию игры - но не помогло.

http://hostingkartinok.com/show-image.php?id=1c0e29ec10bbca8820fb946a4c45586c

 

проверте ваш диск на наличие дефектов, возможно что жёсткий диск повреждён.
Link to post
Share on other sites

ёшкин кот,телефон навернулся,фары протирал,по колёсам пинал,капот открывал,остаётся тока ноут у жены с дочей отобрать который они мне подарили на д.р. :rofl:

 

Link to post
Share on other sites
  • 4 weeks later...

Спасибо за Linux версию, так как настольная Windows уже давно отправлена мною в... корзину. К сожалению, не все гладко. Протестировал 32-битный клиент на двух компьютерах. Один - с Debian 7 testing 32-bit (с последними обновлениями) - там все хорошо, проблем с зависимостями нет. Игра без тормозов совершенно. Другой - Debian 7 Stable 32-bit. Вот тут косяк (предсказуемый):

 

 

 

# dpkg -i warspear_3.10.0_i386.deb

Выбор ранее не выбранного пакета warspear.

(Чтение базы данных … на данный момент установлено 218660 файлов и каталогов.)

Распаковывается пакет warspear (из файла warspear_3.10.0_i386.deb) …

dpkg: зависимости пакетов не позволяют настроить пакет warspear:

warspear зависит от libc6 (>= 2.15), однако:

  Версия libc6:i386 в системе 2.13-38.

 

 

dpkg: ошибка при обработке параметра warspear (--install):

проблемы зависимостей — оставляем не настроенным

Обрабатываются триггеры для desktop-file-utils …

Обрабатываются триггеры для hicolor-icon-theme …

При обработке следующих пакетов произошли ошибки:

warspear

 

 

То есть сборка требует новых версий основополагающих пакетов, что недопустимо для Stable-систем. То есть со stable Debian пакет с игрой пришлось удалить. Кроме того, хотелось бы иметь возможность собрать пакет для версий платформ armel и armhf. Первая -  "китайские-ноутбуки-ценой-меньше-чем-100$", а вторая - небезызвестный Raspberri Pi. И то, и другое есть у меня ;)

Link to post
Share on other sites

Спасибо за Linux версию, так как настольная Windows уже давно отправлена мною в... корзину. К сожалению, не все гладко. Протестировал 32-битный клиент на двух компьютерах. Один - с Debian 7 testing 32-bit (с последними обновлениями) - там все хорошо, проблем с зависимостями нет. Игра без тормозов совершенно. Другой - Debian 7 Stable 32-bit. Вот тут косяк (предсказуемый):

 

 

 

# dpkg -i warspear_3.10.0_i386.deb

Выбор ранее не выбранного пакета warspear.

(Чтение базы данных … на данный момент установлено 218660 файлов и каталогов.)

Распаковывается пакет warspear (из файла warspear_3.10.0_i386.deb) …

dpkg: зависимости пакетов не позволяют настроить пакет warspear:

warspear зависит от libc6 (>= 2.15), однако:

  Версия libc6:i386 в системе 2.13-38.

 

 

dpkg: ошибка при обработке параметра warspear (--install):

проблемы зависимостей — оставляем не настроенным

Обрабатываются триггеры для desktop-file-utils …

Обрабатываются триггеры для hicolor-icon-theme …

При обработке следующих пакетов произошли ошибки:

warspear

 

 

То есть сборка требует новых версий основополагающих пакетов, что недопустимо для Stable-систем. То есть со stable Debian пакет с игрой пришлось удалить. Кроме того, хотелось бы иметь возможность собрать пакет для версий платформ armel и armhf. Первая -  "китайские-ноутбуки-ценой-меньше-чем-100$", а вторая - небезызвестный Raspberri Pi. И то, и другое есть у меня ;)

 

а теперь по-русски :shok:
Link to post
Share on other sites
  • 1 month later...

Исправте пожалуйса ошибку с вылетом при взяти кв в котараве "серебро дидреха алчного".

И иногда вылетает игра при входе в башню беренгара  :facepalm:

Link to post
Share on other sites
  • 2 weeks later...

Исправте пожалуйса ошибку с вылетом при взяти кв в котараве "серебро дидреха алчного".

И иногда вылетает игра при входе в башню беренгара  :facepalm:

 

Тоже бывает :(
Link to post
Share on other sites

Исправте пожалуйса ошибку с вылетом при взяти кв в котараве "серебро дидреха алчного".

Подтверждаю, с этим квестом постоянные вылеты (на Ubuntu). Также регулярно пропадает звук, возвратить его помогает нажатие на клавиши меню (f1 и f2).
Link to post
Share on other sites

Особенности разработки приложений для разных ОС. Но мы попробуем что-нибудь придумать.

 

И вообще, мы - тайный орден линуксоидов.  :snorlax:

 

Как там дела обстоят с клиентом на винду? Уже почти 3 месяца прошло. Придумали что-нибудь?  :)
Link to post
Share on other sites

Поддерживаю, темы создавались по этому поводу,  просьб увеличить обзор было много, но к сожалению, вы не захотели вновь пытаться что-либо переделывать, а сейчас Лаелиус, я,  и еще 1000 пользователей с виндоус просто в негодовании,  нам хочется видеть игру хотя бы с таким обзором, но перебивать  винду на линукс, за которую мы платили, ради  warspear это уже как-то слишком...

 

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...